# Class: UserIDPacket

## UserIDPacket()

Implementation of the User ID Packet (Tag 13)

A User ID packet consists of UTF-8 text that is intended to represent the name and email address of the key holder. By convention, it includes an RFC 2822 [RFC2822] mail name-addr, but there are no restrictions on its content. The packet length in the header specifies the length of the User ID.

## Constructor

#### new UserIDPacket()

Source:
  - packet/userid.js, line 31

### Members

#### userID :String

A string containing the user id. Usually in the form John Doe john@example.com

##### Type:

- String

Source:
  - packet/userid.js, line 41

### Methods

#### (static) fromObject(userID) → {UserIDPacket}

Create UserIDPacket instance from object

##### Parameters:

Name | Type | Description
--- | --- | ---
`userID` | Object | Object specifying userID name, email and comment

Source:
  - packet/userid.js, line 54

##### Returns:

Type
  UserIDPacket

#### read(input)

Parsing function for a user id packet (tag 13).

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | Uint8Array | Payload of a tag 13 packet

Source:
  - packet/userid.js, line 75

#### write() → {Uint8Array}

Creates a binary representation of the user id packet

Source:
  - packet/userid.js, line 108

##### Returns:

Binary representation.

Type
  Uint8Array